# Uses of Class
org.eclipse.mat.parser.model.XSnapshotInfo

Packages that use XSnapshotInfo
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).

## Uses of XSnapshotInfo in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof that return XSnapshotInfo
Modifier and Type
Method
Description
`XSnapshotInfo`
HprofParserHandlerImpl.`getSnapshotInfo()`
`XSnapshotInfo`
IHprofParserHandler.`getSnapshotInfo()`
Methods in org.eclipse.mat.hprof with parameters of type XSnapshotInfo
Modifier and Type
Method
Description
`void`
HprofParserHandlerImpl.`beforePass1(XSnapshotInfo snapshotInfo)`
`void`
IHprofParserHandler.`beforePass1(XSnapshotInfo snapshotInfo)`

## Uses of XSnapshotInfo in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser that return XSnapshotInfo
Modifier and Type
Method
Description
`XSnapshotInfo`
IPreliminaryIndex.`getSnapshotInfo()`
Get basic information about the snapshot

## Uses of XSnapshotInfo in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return XSnapshotInfo
Modifier and Type
Method
Description
`XSnapshotInfo`
SnapshotImpl.`getSnapshotInfo()`
`XSnapshotInfo`
SnapshotImplBuilder.`getSnapshotInfo()`
Methods in org.eclipse.mat.parser.internal with parameters of type XSnapshotInfo
Modifier and Type
Method
Description
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.
Constructors in org.eclipse.mat.parser.internal with parameters of type XSnapshotInfo
Modifier
Constructor
Description
``
`SnapshotImplBuilder(XSnapshotInfo snapshotInfo)`

## Uses of XSnapshotInfo in org.eclipse.mat.parser.internal.snapshot

Constructors in org.eclipse.mat.parser.internal.snapshot with parameters of type XSnapshotInfo
Modifier
Constructor
Description
``
`RetainedSizeCache(XSnapshotInfo snapshotInfo)`
Reads file i2sv2.index in new format, or file i2s.index in the old format, or creates an empty map.